/**
 * @fileoverview
 * 'privacy-guide-ad-topics-fragment' is the fragment in a privacy guide
 * card that contains the ad topics setting and its description.
 */
import 'chrome://resources/cr_elements/cr_icon/cr_icon.js';
import '../../controls/settings_toggle_button.js';
import '../../icons.html.js';
import { PolymerElement } from 'chrome://resources/polymer/v3_0/polymer/polymer_bundled.min.js';
declare const PrivacyGuideAdTopicsFragmentElementBase: typeof PolymerElement & (new (...args: any[]) => import("/shared/settings/prefs/prefs_mixin.js").PrefsMixinInterface);
export declare class PrivacyGuideAdTopicsFragmentElement extends PrivacyGuideAdTopicsFragmentElementBase {
    static get is(): string;
    static get template(): HTMLTemplateElement;
    private startStateAdTopicsOn_;
    private metricsBrowserProxy_;
    ready(): void;
    focus(): void;
    private onViewEnterStart_;
    private onViewExitFinish_;
    private onToggleChange_;
    private onPrivacyPolicyLinkClicked_;
}
declare global {
    interface HTMLElementTagNameMap {
        'privacy-guide-ad-topics-fragment': PrivacyGuideAdTopicsFragmentElement;
    }
}
export {};
